# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-settings"
  s.version = "3.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2016-03-22"
  s.description = "The Sensu settings library, loader and validator"
  s.email = ["portertech@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "lib/sensu/settings.rb", "lib/sensu/settings/constants.rb", "lib/sensu/settings/loader.rb", "lib/sensu/settings/rules.rb", "lib/sensu/settings/validator.rb", "lib/sensu/settings/validators.rb", "lib/sensu/settings/validators/api.rb", "lib/sensu/settings/validators/check.rb", "lib/sensu/settings/validators/client.rb", "lib/sensu/settings/validators/filter.rb", "lib/sensu/settings/validators/handler.rb", "lib/sensu/settings/validators/mutator.rb", "lib/sensu/settings/validators/subdue.rb", "lib/sensu/settings/validators/transport.rb", "sensu-settings.gemspec", "spec/assets/alternative/conf.d/symlinked.json", "spec/assets/app/config/sensu/app_http_endpoint.json", "spec/assets/bom.json", "spec/assets/conf.d/merger.json", "spec/assets/conf.d/nested/file.json", "spec/assets/config.json", "spec/assets/invalid.json", "spec/helpers.rb", "spec/loader_spec.rb", "spec/rules_spec.rb", "spec/settings_spec.rb", "spec/validator_spec.rb"]
  s.homepage = "https://github.com/sensu/sensu-settings"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "The Sensu settings library, loader and validator"
  s.test_files = ["spec/assets/alternative/conf.d/symlinked.json", "spec/assets/app/config/sensu/app_http_endpoint.json", "spec/assets/bom.json", "spec/assets/conf.d/merger.json", "spec/assets/conf.d/nested/file.json", "spec/assets/config.json", "spec/assets/invalid.json", "spec/helpers.rb", "spec/loader_spec.rb", "spec/rules_spec.rb", "spec/settings_spec.rb", "spec/validator_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
      s.add_development_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    else
      s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
      s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
    end
  else
    s.add_dependency(%q<sensu-json>, [">= 1.1.0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
    s.add_dependency(%q<codeclimate-test-reporter>, [">= 0"])
  end
end

